#ifndef __AUDIO_HAL_H
#define __AUDIO_HAL_H

#include "main.h"

#define AUDIO_HAL_SAMPLE_QUEUE_SIZE 3

void audio_hal_start(uint32_t sample_count, uint8_t sample_size);
void audio_hal_stop(void);
void audio_hal_write(void *buffer, uint32_t sample_count);

#endif
